SalesOS.

N P S Surveys

Net Promoter Score surveys

List all NPS surveys

GET
/v1/nps-surveys

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/nps-surveys" \
  -H "Authorization: Bearer <token>"

List of NPS surveys

Create a new NPS survey

POST
/v1/nps-surveys

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/nps-surveys" \
  -H "Authorization: Bearer <token>"

NPS survey created

Get NPS metrics across all surveys (frontend path)

GET
/v1/nps-surveys/metrics/nps

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/nps-surveys/metrics/nps" \
  -H "Authorization: Bearer <token>"

NPS metrics overview

Get NPS metrics across all surveys

GET
/v1/nps-surveys/nps-metrics

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/nps-surveys/nps-metrics" \
  -H "Authorization: Bearer <token>"

NPS metrics overview

Get NPS survey statistics

GET
/v1/nps-surveys/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/nps-surveys/stats" \
  -H "Authorization: Bearer <token>"

Survey statistics

Get a specific NPS survey

GET
/v1/nps-surveys/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/nps-surveys/<string>" \
  -H "Authorization: Bearer <token>"

NPS survey details

Update an NPS survey

PATCH
/v1/nps-surveys/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/nps-surveys/<string>" \
  -H "Authorization: Bearer <token>"

NPS survey updated

Delete an NPS survey

DELETE
/v1/nps-surveys/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/nps-surveys/<string>" \
  -H "Authorization: Bearer <token>"

NPS survey deleted

Update an NPS survey (PUT)

PUT
/v1/nps-surveys/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/nps-surveys/<string>" \
  -H "Authorization: Bearer <token>"

NPS survey updated

Toggle survey active/inactive state

POST
/v1/nps-surveys/{id}/toggle

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/nps-surveys/<string>/toggle" \
  -H "Authorization: Bearer <token>"

Survey toggled

Get survey responses

GET
/v1/nps-surveys/{id}/responses

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/nps-surveys/<string>/responses" \
  -H "Authorization: Bearer <token>"

Survey responses with NPS breakdown

Export survey responses

GET
/v1/nps-surveys/{id}/responses/export

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

formatRequiredstring
curl -X GET "https://api.salesos.org/v1/nps-surveys/<string>/responses/export?format=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Exported survey responses